#ifndef BENCHMARK_H
#define BENCHMARK_H


#include <vector>
using namespace std;

double benchmark_A(const vector<double> &x,
                   const vector<double> &y);

vector<double> benchmark_B(const vector<double> &A,
                                const vector<double> &x);

vector<double> benchmark_C(const vector<double> &A,
                                const vector<double> &B,
                                unsigned int M);




#endif 
